import layout from '@/components/layout';
export default {
  path: '/articleManagement',
  meta: { title: '文章管理' },
  redirect: '/articleManagement/list',
  component: layout,
  children: [
    {
      path: 'list',
      name: 'articleManagement-list',
      meta: { title: '文章列表' },
      component: () => import('@/views/articleManagement/articleList'),
    },
    {
      path: 'create',
      name: 'articleManagement-create',
      meta: { title: '新建文章' },
      component: () => import('@/views/articleManagement/articleCreate'),
    },
    {
      path: 'videoCreate',
      name: 'articleManagement-videoCreate',
      meta: { title: '新建视频' },
      component: () => import('@/views/articleManagement/videoCreate'),
    },
    {
      path: 'carouselUploda',
      name: 'articleManagement-carouselUploda',
      meta: { title: '轮播图管理' },
      component: () =>
        import('@/views/articleManagement/articleCarouselUpload'),
    },
    {
      path: 'articleCreateThird',
      name: 'articleManagement-articleCreateThird',
      meta: { title: '新建第三方文章' },
      component: () => import('@/views/articleManagement/articleCreateThird'),
    },
  ],
};
